Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.pattern
Class AbstractStyleNameConverter.Magenta

    java.lang.Object
      org.apache.logging.log4j.core.pattern.AbstractPatternConverter
          org.apache.logging.log4j.core.pattern.LogEventPatternConverter
              org.apache.logging.log4j.core.pattern.AbstractStyleNameConverter
                  org.apache.logging.log4j.core.pattern.AbstractStyleNameConverter.Magenta

All Implemented Interfaces:
  PatternConverter

Enclosing class:
  AbstractStyleNameConverter

    @Plugin(name="magenta",
            category="Converter")
    public static final class AbstractStyleNameConverter.Magenta

extends AbstractStyleNameConverter

Magenta style pattern converter. Adds ANSI color styling to the result of the enclosed pattern.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.logging.log4j.core.pattern.AbstractStyleNameConverter
`AbstractStyleNameConverter.Black, AbstractStyleNameConverter.Blue, AbstractStyleNameConverter.Cyan, AbstractStyleNameConverter.Green, AbstractStyleNameConverter.Magenta, AbstractStyleNameConverter.Red, AbstractStyleNameConverter.White, AbstractStyleNameConverter.Yellow`

Field Summary
`protected static String` | `NAME` Magenta

Fields inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`CATEGORY`

Constructor Summary
`AbstractStyleNameConverter.Magenta(List<PatternFormatter> formatters, String styling)` Constructs the converter.

Method Summary
`static AbstractStyleNameConverter.Magenta` | `newInstance(Configuration config, String[] options)` Gets an instance of the class (called via reflection).

Methods inherited from class org.apache.logging.log4j.core.pattern.AbstractStyleNameConverter
`format, newInstance`

Methods inherited from class org.apache.logging.log4j.core.pattern.LogEventPatternConverter
`format, handlesThrowable`

Methods inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    protected static final String NAME

  Magenta

  See Also:
    Constant Field Values

Constructor Detail

### AbstractStyleNameConverter.Magenta

    public AbstractStyleNameConverter.Magenta(List<PatternFormatter> formatters,
                                              String styling)

  Constructs the converter. This constructor must be public.

  Parameters:
    `formatters` - The PatternFormatters to generate the text to manipulate.
    `styling` - The styling that should encapsulate the pattern.

Method Detail

### newInstance

    public static AbstractStyleNameConverter.Magenta newInstance(Configuration config,
                                                                 String[] options)

  Gets an instance of the class (called via reflection).

  Parameters:
    `config` - The current Configuration.
    `options` - The pattern options, may be null. If the first element is "short", only the first line of the throwable will be formatted.
  Returns:
    new instance of class or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.